Page MenuHomePhabricator

Deprecate and remove the ungroupedlist api option
Closed, ResolvedPublic

Description

This is used in the GetClaims and GetEntities api modules.

The current DataModelSerialization library does not
support ungrouped lists currently, do we could deprecate
this now to give people warning.

I have added logging to the feature use @ https://logstash.wikimedia.org/#dashboard/temp/AU63scYgs2oZVZyjfrS2
In roughly 4 days only 50 calls using the parameter were made, all by 1 IP user.

Timeline

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedBene
OpenNone
ResolvedJanZerebecki
OpenNone
OpenNone
Resolvedthiemowmde
OpenNone
DeclinedBene
ResolvedBene
ResolvedBene
ResolvedBene
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
Resolveddaniel
ResolvedBene
DeclinedBene

Event Timeline

Addshore created this task.Jul 24 2015, 5:48 PM
Addshore claimed this task.
Addshore raised the priority of this task from to Normal.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 5:48 PM

Change 225903 had a related patch set uploaded (by Addshore):
Deprecate the ungroupedlist api option

https://gerrit.wikimedia.org/r/225903

Addshore renamed this task from Deprecate the ungroupedlist api option to Deprecate and remove the ungroupedlist api option.Jul 24 2015, 5:49 PM
Addshore set Security to None.

Change 226643 had a related patch set uploaded (by Addshore):
WIP Remove ungroupedlist api parameters

https://gerrit.wikimedia.org/r/226643

Addshore updated the task description. (Show Details)Jul 24 2015, 5:55 PM

Change 225903 merged by jenkins-bot:
Deprecate the ungroupedlist api option

https://gerrit.wikimedia.org/r/225903

Change 226643 merged by jenkins-bot:
Remove ungroupedlist api parameters

https://gerrit.wikimedia.org/r/226643

daniel closed this task as Resolved.Aug 5 2015, 3:08 PM
daniel added a subscriber: daniel.

patch merged

Johan moved this task from Backlog to Archive on the Notice board.Sep 4 2015, 9:53 AM